/* --------------- events-title --------------- */
.events-title{
  margin-bottom: 15px;
  @include respond-to(tablet) {
    padding: 0;
  }
  .site__subtitle{
    font-size: 30px;
    font-family: "proximanovacond-regular-webfont", sans-serif;
    color: $text-links-blue;
    font-weight: 400;
    padding: 0;
    margin-bottom: 22px;
  }
  .info-block{
    margin-top: 27px;
    @include respond-to(tablet) {
      float: right;
    }
    >.btns{
      @include btns();
      margin-top: -11px;
    }
    @include respond-to(desctop) {
      >.btns{
        margin-left: 10px;
      }
      p{
        display: inline-block !important;
      }
    }
    p{
      color: $text-light-blue;
      font-size: 14px;
      margin-right: 15px;
      display: none;
    }
    .info-cintainer{
      position: relative;
      display: inline-block;
      &:hover{
        >span{
          color: $text-total;
          border: 1px solid $text-total;
        }
        >div{
          display: block;
        }
      }
      >span{
        color: $border-light;
        border: 1px solid $border-light;
        width: 32px;
        height: 32px;
        text-align: center;
        line-height: 32px;
        display: block;
        border-radius: 50%;
      }
      >div{
        position: absolute;
        top: 0;
        left: 0;
        display: none;
        z-index: 50;
        @include respond-to(tablet) {
          right: 0;
          left: auto;
        }
        @include respond-to(desctop) {
          right: auto;
          left: 0;
        }
        >ul{
          margin-top: 50px;
          background: $back-main;
          box-shadow: 0 0 20px $back-carusel-shadow;
          padding: 12px 29px;
          border-radius: 5px;
          white-space: nowrap;
          position: relative;
          &:after{
            width: 0;
            height: 0;
            border: 7px solid transparent;
            border-bottom-color: $back-main;
            border-top: 0;
            position: absolute;
            top: -6px;
            left: 10px;
            transition: left 0.3s ease;
            -webkit-transition: left 0.3s ease;
            content: "";
            @include respond-to(tablet) {
              right: 10px;
              left: auto;
            }
            @include respond-to(desctop) {
              border: 7px solid transparent;
              border-right-color: $back-main;
              border-left: 0;
              left: -6px;
              right: auto;
              top: 10px;
            }
          }
          @include respond-to(desctop) {
            margin-left: 50px;
            margin-top: 0;
          }
          >li{
            margin-bottom: 17px;
            >a{
              font-size: 18px;
              color: $text-light-blue;
              &:hover{
                color: $text-total;
                text-decoration: none;
              }
            }
          }
        }
      }
    }
  }
}
/* --------------- /events-title --------------- */

/* --------------- events-list --------------- */
.events-list{
  width: auto;
  margin-right: -15px;
  margin-left: -15px;

  >li{
    @include transition(background 100ms ease-in-out 100ms);
    &:hover{
      background: $events-mange-active;
    }
    &.active{
      background: $events-mange-active;
      .events-list__img{
        >span{
          display: block;
        }
      }
    }
    &:first-child{
      border: none;
    }
    padding: 41px 24px;
    border-top: 1px solid $border-light;
    .events-list__img{
      width: 180px;
      height: 180px;
      position: relative;
      border-radius: 50%;
      margin-top: 4px;
      overflow: hidden;
      >span{
        position: absolute;
        display: none;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        border-radius: 50%;
        color: $back-main;
        font-size: 48px;
        line-height: 180px;
        text-align: center;
        background: $back-active-proveider;
      }
    }
    .events-list__text{
      font-family: "proximanovacond-regular-webfont", sans-serif;
      h2{
        margin: 5px 0 0px 0;
        a{
          font-size: 30px;
          font-weight: 400;
          color: $text-events-subtitles;
          &:hover{
            text-decoration: none;
          }
        }
      }
      >span{
        color: $text-links-blue;
        font-size: $mainFontSize;
        position: relative;
        padding-left: 17px;
        display: block;
        margin-bottom: 15px;
        &:after{
          position: absolute;
          top: 0;
          left: 0;
          background: url("../img/events-detailes-sprite.png") no-repeat -78px 0;
          width: 8px;
          height: 14px;
          content: "";
        }
      }
      .events-details__info{
        color: $text-dark-blue;
        overflow: hidden;

        >dt{
          color: $text-light;
          font-size: 18px;
          position: relative;
          padding-left: 26px;
          margin-bottom: 7px;
          width: 100px;
          font-weight: 400;
          @include respond-to(tablet-landscape) {
            float: left;
            clear: both;
          }
          @include respond-to(desctop) {
            width: 190px;
          }

          &:after{
            position: absolute;
            top: 4px;
            left: 0;
            width: 18px;
            height: 18px;
            content: "";
          }
          &.events-details__date{
            >span{
              color: $avatar-remove;
            }

            &:after{
              background: url("../img/events-detailes-sprite.png") no-repeat -98px 0;
            }
          }
          &.events-details__time{
            &:after{
              background: url("../img/events-detailes-sprite.png") no-repeat -0px 0;
            }
          }
          &.events-details__price{
            &:after{
              background: url("../img/events-detailes-sprite.png") no-repeat -123px 0;
              width: 20px;
              height: 17px;
            }
          }
          &.events-details__work {
            &:after {
              background: url("../img/events-detailes-sprite.png") no-repeat -51px 0;
              width: 20px;
              height: 17px;
            }
          }
          &.events-details__place{
            &:after{
              background: url("../img/events-detailes-sprite.png") no-repeat -22px 0;
              width: 20px;
              height: 17px;
              top: 2px;
              left: -3px;
            }
          }
          &.events-details__type{
            &:after{
              background: url("../img/type.png");
              width: 18px;
              height: 16px;
              top: 3px;
            }
          }
        }
        >dd{
          font-size: 18px;
          @include respond-to(tablet-landscape) {
            float: left;
          }
        }
        >li{
          display: inline-block;
          vertical-align: top;
          padding-left: 26px;
          position: relative;
          margin-right: 17px;
          margin-bottom: 5px;
          &.events-details__date{
            >span{
              color: $avatar-remove;
            }
            &:after{
              position: absolute;
              top: 0;
              left: 0;
              background: url("../img/events-detailes-sprite.png") no-repeat -98px 0;
              width: 18px;
              height: 18px;
              content: "";
            }
          }
          &.events-details__time{
            &:after{
              position: absolute;
              top: 0;
              left: 0;
              background: url("../img/events-detailes-sprite.png") no-repeat 0 0;
              width: 18px;
              height: 18px;
              content: "";
            }
          }
          &.events-details__price{
            &:after{
              position: absolute;
              top: 0;
              left: 0;
              background: url("../img/events-detailes-sprite.png") no-repeat -123px 0;
              width: 20px;
              height: 17px;
              content: "";
            }
          }
          &.events-details__work{
            &:after{
              position: absolute;
              top: 0;
              left: 0;
              background: url("../img/events-detailes-sprite.png") no-repeat -51px 0;
              width: 20px;
              height: 17px;
              content: "";
            }
          }
          &.events-details__place{
            &:after{
              position: absolute;
              top: 0;
              left: 0;
              background: url("../img/events-detailes-sprite.png") no-repeat -22px 0;
              width: 20px;
              height: 17px;
              content: "";
            }
          }
        }
      }
    }
  }
  .events-list__btns{
    padding-top: 9px;
    text-align: right;
    .btns{
      @include btns();
      width: 186px;
      height: 51px;
      line-height: 51px;
      margin-bottom: 10px;
      &.btns_settings {
        height: 51px;
        line-height: 51px;
        background-position: 40px 16px;
      }
    }
  }

}
/* --------------- /events-list --------------- */

/* --------------- event-empty --------------- */
.event-empty {
  height: 307px;
  display: table;
  width: 100%;

  > div {
    display: table-cell;
    vertical-align: middle;
    text-align: center;

    >div {
      display: inline-block;
      vertical-align: middle;

      >p {
        font-size: 23px;
        margin-bottom: 30px;
        font-family: "proximanovacond-regular-webfont", sans-serif;
        color: $text-dark-blue;
      }
    }
  }
  .btns {
    @include btns();
    height: 51px;
    line-height: 51px;
  }
}

/* --------------- /event-empty --------------- */
